.navbar-toggler-icon {
    width: 1em;
    height: 1em;
}
.table tr td.center,
.table thead th.center {
	text-align: center;
}
span.none {
	visibility: hidden;
}
.table tr td.v-top,
.table thead th.v-top {
	vertical-align: top;
}
.table tr td.v-center,
.table thead th.v-center {
	vertical-align: middle;
}
.table tr td.v-bottom,
.table thead th.v-bottom {
	vertical-align: bottom;
}
.table tr td.break-word,
.table tr th.break-word {
	word-break: break-word;
	white-space: normal;
}
.form-control-plaintext {
	border-bottom-color: #04a9f5;
	border-bottom-style: dotted;
	min-height: 2.2rem;
	padding-left: 5px;
	padding-right: 5px;
}
.form-control:focus {
	box-shadow: 0 0 0 0.1rem rgba(0,123,255,.25);
	color: black;
}
.col-form-label {
	font-weight: 600;
}
label.cr {
	margin-bottom: 0;
}
.text-style-i,
.text-i,
.italic,
.i {
	font-style: italic;
}
.text-style-u,
.text-u,
.underline,
.u {
	text-decoration: underline;
}
.hs {
	/* Полупробел для
	разделения разрядов чисел:
	10<span class="hs"></span>000 */
	margin-left: .2em;
}
/* left menu shadow disable */
.pcoded-navbar {
	-webkit-box-shadow: 0px 0 0px 0 #fff;
	box-shadow: 0px 0 0px 0 #fff;
}
/* button block change */
.card .card-header.card-header-button {
	padding-bottom: 10px;
}
/* select 2 */
.select2-container .select2-selection--single .select2-selection__rendered {
	padding-left: 0px;
}
/* 189 */
.card {
	-webkit-box-shadow: 0 1px 7px 0 rgba(69, 90, 100, 0.08);
	box-shadow: 0 1px 7px 0 rgba(69, 90, 100, 0.08);
	border-color: #734df97a;
}
/* 198 */
.card .card-header,
.card .card-footer {
	padding: 15px 25px;
}
.card .card-footer-btn {
	padding: 15px 15px;
}
p.pre-wrap {
	white-space: pre-wrap;
	white-space: -moz-pre-wrap;
	white-space: -pre-wrap;
	white-space: -o-pre-wrap;
}
/* header height 70->50 change */
/* 1674 */
.pcoded-header {
	min-height: 50px;
}
/* 1726 */
.pcoded-header .navbar-nav > li {
	line-height: 50px;
}
/* 1819 */
.pcoded-header .dropdown .dropdown-toggle {
	line-height: 50px;
}
/* 1833 */
.pcoded-header .dropdown .dropdown-menu {
	min-width: 320px;
}
/* 1852 */
.pcoded-header .dropdown.show:before {
	content: "";
}
/* 1961 + */
.modal-create-menu {
	padding: 5px 0;
	margin-bottom: 0;
	list-style: none;
	line-height: 1.0;
}
.modal-create-menu li div.dropdown-group {
	color: #000;
	font-size: 16px;
	padding: 10px 20px;
	background-color: #f4f7fa;
}


.modal-create-menu li div i {
	margin-right: 10px;
	width: 20px;
	display: inline-block;
	text-align: center;
}

.modal-create-menu li a {
	color: #000;
	font-size: 16px;
	padding: 10px 20px;
}
.modal-create-menu li a i {
	margin-right: 10px;
	width: 20px;
	display: inline-block;
	text-align: center;
}
.modal-header {
	padding: 15px 25px;
}

/* 1971 + */
.pcoded-header .dropdown .profile-notification .pro-body li a i,
.pcoded-header .dropdown .profile-notification .pro-body li a svg {
	margin-right: 10px;
}
/* 1986 */
.mobile-menu {
	height: 50px;
}
/* 2081 */
.pcoded-navbar .scroll-div.navbar-content {
	height: calc(100vh - 50px);
}
/* 2084 */
.pcoded-navbar .header-logo {
	height: 50px;
	padding: 10px 20px 10px 15px;
}
/* 2116 */
.pcoded-navbar .mobile-menu {
	height: 50px;
}
/* 2199 */
.pcoded-navbar .pcoded-inner-navbar li > a {
	margin: 0;
}
/* 2268 */
.pcoded-navbar .pcoded-inner-navbar li.pcoded-hasmenu .pcoded-submenu li .pcoded-submenu > li > a {
	padding: 7px 7px 7px 50px;
}
/* 2297 */
.pcoded-navbar.navbar-collapsed {
	width: 50px;
}
/* 2303 */
.pcoded-navbar.navbar-collapsed .header-logo {
	width: 50px;
}
/* 2393 */
.pcoded-navbar.navbar-collapsed ~ .pcoded-header {
	width: calc(100% - 50px);
}
/* 2396 */
.pcoded-navbar.navbar-collapsed ~ .pcoded-header,
.pcoded-navbar.navbar-collapsed ~ .pcoded-main-container {
	margin-left: 50px;
}
/* 2504 */
.pcoded-navbar.mob-open ~ .pcoded-header,
.pcoded-navbar.mob-open ~ .pcoded-main-container, .pcoded-navbar.navbar-collapsed:hover ~ .pcoded-header,
.pcoded-navbar.navbar-collapsed:hover ~ .pcoded-main-container {
	margin-left: 50px;
}
/* 2523 */
.pcoded-navbar.theme-horizontal {
	height: 50px;
	top: 50px;
}
/* 2536 */
.pcoded-navbar.theme-horizontal.top-nav-collapse {
	top: -50px;
}
/* 2539 */
.pcoded-navbar.theme-horizontal.default, .pcoded-navbar.theme-horizontal.default.top-nav-collapse {
	top: 50px;
}
@media only screen and (max-width: 991px) {
/* 2870 */
	.pcoded-header .m-header {
	height: 50px;
	}

}
/* 4224 */
.pcoded-header.headerpos-fixed ~ .pcoded-main-container {
	padding-top: 50px;
}
/* end header height 70->50 change */

/* header fox for datapicker */
/* 1674 */
.pcoded-header {
	z-index: 1;
}
/* end header fox for datapicker */

/* main nav bar width 264->200 change */
/* 1674 */
.pcoded-header {
	width: calc(100% - 200px);
	margin-left: 200px;
}
/* 2062 */
.pcoded-navbar {
	width: 200px;
}
/* 2084 */
.pcoded-navbar .header-logo {
	width: 200px;
}
/* 2409 */
.pcoded-navbar.navbar-collapsed:hover {
	width: 200px !important;
}
/* 2419 */
.pcoded-navbar.navbar-collapsed:hover .header-logo {
	width: 200px;
}
/* 2829 */
.pcoded-main-container {
	margin-left: 200px;
}
@media only screen and (max-width: 991px) {

/* 2894 */
	.pcoded-navbar {
	margin-left: -200px;
	}
}

/* main nav bar */
/* 2199 */
.pcoded-navbar .pcoded-inner-navbar li > a {
	padding: 5px 7px;
}
/* 2210 */
.pcoded-navbar .pcoded-inner-navbar li > a > .pcoded-micon {
	padding: 4px 6px;
	margin-right: 5px;
}
.pcoded-navbar .pcoded-inner-navbar .pcoded-submenu li > a > .pcoded-micon {
	padding: 4px 0px;
	margin-right: 5px;
}
/* 2225 */
.pcoded-navbar .pcoded-inner-navbar li > a > .pcoded-micon + .pcoded-mtext {
	top: 9px;
}
/* 2229 */
.pcoded-navbar .pcoded-inner-navbar li.pcoded-hasmenu > a:after {
	right: 10px;
	top: 9px;
}
/* 2253 */
.pcoded-navbar .pcoded-inner-navbar li.pcoded-hasmenu .pcoded-submenu li > a {
	padding: 7px 5px 7px 35px;
	font-size: 14px;
}
/* 2259 */
.pcoded-navbar .pcoded-inner-navbar li.pcoded-hasmenu .pcoded-submenu li > a:before {
	left: 23px;
} 
/* 2285 */
.pcoded-navbar .pcoded-submenu {
	padding: 0;
}
/* 2358 */
.pcoded-navbar.navbar-collapsed .pcoded-inner-navbar > li > a {
	padding: 5px 7px;
}
/* 2371 */
.pcoded-navbar.navbar-collapsed .pcoded-inner-navbar > li.pcoded-hasmenu > a:after {
	right: 4px;
	top: 9px;
}
/* 2377 */
.pcoded-navbar.navbar-collapsed .pcoded-inner-navbar > li.pcoded-trigger .pcoded-submenu:after {
	left: calc(calc(60px / 2) - 6px);
	width: 3px;
}
/* 2471 */
.pcoded-navbar.navbar-collapsed:hover .pcoded-inner-navbar > li.pcoded-trigger .pcoded-submenu li a {
	color: #fff;
}
.pcoded-navbar.navbar-collapsed:hover .pcoded-inner-navbar > li.pcoded-trigger .pcoded-submenu li.active a, 
.pcoded-navbar.navbar-collapsed:hover .pcoded-inner-navbar > li.pcoded-trigger .pcoded-submenu li:focus a, 
.pcoded-navbar.navbar-collapsed:hover .pcoded-inner-navbar > li.pcoded-trigger .pcoded-submenu li:hover a {
	color: #04a9f5;
}

/* 6363 */
.nav-tabs {
	margin-top: -30px;
	margin-bottom: 30px;
}

.checkbox input[type=checkbox] + .cr:before {
	margin-right: 10px;
}
li > ul > li > a > i:before {
	padding-right: 5px;
}
.nav.pcoded-inner-navbar > li .pull-right .label,
.nav.pcoded-inner-navbar > li .pull-right .badge
{
	margin-top: 6px;
	display: inline;
	padding: .3em .7em;
	font-size: .8em;
	font-weight: 700;
	line-height: 1;
	color: #fff;
	text-align: center;
	white-space: nowrap;
	vertical-align: baseline;
	border-radius: .25em;
	position: unset;
}
.nav.pcoded-inner-navbar > li .label-blue
{
	background-color: #337ab7;
}
.nav.pcoded-inner-navbar > li .label-red
{
	background-color: #d9534f;
}
.pcoded-navbar .pcoded-inner-navbar li > ul > li > a .pcoded-micon
{
	width: 20px;
	height: 20px;
}
.nav.pcoded-inner-navbar > li > ul > li > a .pull-right
{
	float: right!important;
	padding-right: 7px;
}
.nav.pcoded-inner-navbar > li > a .pull-right
{
	float: right!important;
	padding-right: 7px;
	margin-top: 3px;
}
.nav.pcoded-inner-navbar li > a .blue
{
	color: #04a9f5;
	font-weight: 700;
}
.nav.pcoded-inner-navbar li > a .green
{
	color: #1de9b6;
	font-weight: 700;
}
.nav.pcoded-inner-navbar li > a .red
{
	color: #dc3545;
	font-weight: 700;
}
.nav.pcoded-inner-navbar li > a .orange
{
	color: #f4912b;
	font-weight: 700;
}
.pcoded-submenu li.subsection
{
	border-top: 1px solid rgba(234, 234, 234, 0.5);
}
.pcoded-submenu li.subsection > span
{
	padding: 7px 5px 10px 30px;
	font-size: 14px;
	/*color: #1de9b6;*/
	color: #fff;
	position: relative;
	display: block;
}
.pcoded-submenu li.subsection > span > a
{
	/*color: #1de9b6 !important;*/
}

.pcoded-submenu li.subsection.active > span > a,
.pcoded-submenu li.subsection:focus > span > a,
.pcoded-submenu li.subsection:hover > span > a {
	color: #04a9f5 !important;
}

/* button resize */
/* 6875 */
.btn-theme,
a.btn-theme {
	-webkit-box-shadow: none;
	box-shadow: none;
}
/* 6966 */
.btn {
/*  margin-left: 10px;*/
	margin-right: 0px;
	border-radius: 4px;
	font-weight: 500;
}
.btn-group {
	margin-left: 7px;
	margin-right: 0px;
}
.btn.btn-xs {
	padding: 7px 7px;
	line-height: 1;
	border-radius: 2px;
	margin-bottom: 0px;
	margin-top: 0px;
}
.btn.btn-sm {
	padding: 7px 12px;
	margin-bottom: 0px;
}
.btn.btn-lg {
	font-size: 18px;
}
.nav-pills > li > a {
	padding: .5rem 1rem !important;
}
/* 7878 */
.nav-link {
	color: #734df9;
}
.nav-link:focus,.nav-link:hover {
	/*color: var(--bs-nav-link-hover-color)*/
	color: #734df9;
}

.nav-pills .nav-link {
	border-radius: 2px;
}
/* 319 */
.dropdown-menu {
	padding: 10px 0;
}
.dropdown-item {
	padding: .25rem 1rem;
}
.dropdown-item:focus, .dropdown-item:hover {
	color: #fff;
	background-color: #04a9f5;
}
.dropdown-item.active, .dropdown-item:active {
	background-color: #04a9f5;
}
/* 6618 */
/* datatable */
.table td.wrap-normal,
.table th.wrap-normal {
	white-space: normal !important;
}
/* 6978 + */
.btn.btn-icon.btn-sm, .btn.drp-icon.btn-sm {
	width: 30px;
	height: 30px;
	padding: 0px 0px;
}
.btn.btn-icon.btn-xs, .btn.drp-icon.btn-xs {
	width: 23px;
	height: 23px;
	padding: 0px 0px;
}
/* 7612 */
.breadcrumb-item + .breadcrumb-item {
	color: rgba(255, 255, 255, 0.8);
}
/* 7882 */
.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
	-webkit-box-shadow: none;
	box-shadow: none;
}
/* 8719 */
.nav-pills > li > a {
	text-transform: none;
	font-size: 14px;
}
/* 7908 */
.tab-content {
	padding: 0px;
}

/* 198 */
.card .card-header.card-header-button {
	padding: 15px 10px;
}

/* 229 */
.card .card-header .card-header-right {
	top: 0px;
	right: 0px;
	position: relative;
}

.card .card-body .card-body-right {
	right: 0px;
	top: 0px;
	display: inline-block;
	float: right;
	padding: 0;
	position: relative;
}

.tariff-card .label {
	border-radius: 15px;
	-webkit-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.2);
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.2);
}

/* page title */
/* 2823 */
.pcoded-content {
	padding: 10px 10px;
}
@media only screen and (max-width: 575px) {
.pcoded-content {
	padding: 0px;
}
}
/* style-mix 1 */
.breadcrumb {
	padding: 0rem 0rem;
	margin-bottom: 0rem;
	background-color: inherit;
}
.nav-tabs .nav-link {
	border-top-left-radius: 2px;
	border-top-right-radius: 2px;
}
/* cards */
.row {
	margin-right: 0;
	margin-left: 0;
	--bs-gutter-x: 0;
}
.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto, .col-xxl, .col-xxl-1, .col-xxl-10, .col-xxl-11, .col-xxl-12, .col-xxl-2, .col-xxl-3, .col-xxl-4, .col-xxl-5, .col-xxl-6, .col-xxl-7, .col-xxl-8, .col-xxl-9, .col-xxl-auto
{
	padding-right: 0px;
	padding-left: 0px;
}
/* 189 */
.card {
	margin-bottom: 10px;
}
.card .card-block, .card .card-body {
	padding: 20px 20px 20px 20px;
}
.tab-content .card .card-body {
	padding: 20px 20px 20px 20px;
}
.row.full-height .card {
	height: calc(100% - 10px);
}
/* 189 + */
.card .card {
	margin-bottom: 0px;
}

/* forms */
/* mix 1 */
.form-control,
.form-select {
	border-radius: 2px;
	color: #000;
	padding: 10px 8px;
	line-height: 1.2;
	border-color: #734df97a;
}
.form-control:disabled,
.form-control[readonly] {
	background-color: #f4f7fa;
	resize: none;
}
.form-control:disabled:focus,
.form-control[readonly]:focus {
	background-color: #f4f7fa;
}

.form-control-sm {
	border: 1px solid #ced4da;
}

/* 6240 */
.custom-select, .form-control {
	background: #fff;
}
.form-group.error .custom-select,
.form-group.error .form-control {
	border: 1px solid #f44236;
	box-shadow: 0 0 0 0.2rem rgba(220,53,69,.25);
}
.form-control.bg-c-red,
.form-control.bg-c-red:disabled,
.form-control.bg-c-red[readonly] {
	background-color: #f8d7da;
	color: #f44236;
}
/* 6246 */
.custom-select:focus, .form-control:focus {
	background: #fff;
}
.form-control:disabled:focus, .form-control[readonly]:focus {
	border-color: #ced4da;
	box-shadow: 0 0 0 0rem rgba(0,123,255,.25);
}

.form-control.colorpicker {
	padding: 0px 0px;
	width: 150px;
	height: 42px;
}
.mce-panel {
	border-color: #734df97a !important;
}

/* table add */
/* 6617 */
.table.pall-2 td,
.table.pall-2 th {
	padding: 0.5rem;
}

.table td,
.table th {

	padding: 0.75rem;
}

/* 6618 + */
.table td.img-ico, .table th.img-ico {
	padding: 0.5rem;
}

/* datatable fix */
.card .system_table .row {
	margin-left: 0px;
	margin-right: 0px;
}

div.dataTables_wrapper div.dataTables_info {
	padding-top:0em;
}

/* text */
.text-white a {
	color: #fff!important;
	text-decoration: underline;
}

.tox-tinymce {
    border: 1px solid #734df97a !important;
    border-radius: 2px !important;
}

/* select2 fix and styles*/
/* 6316 - */
/* .select2-container {
	width: 100% !important;
} */
.select2.select2-container.select2-container--default,
.select2.select2-container.select2-container--default.select2-container--below,
.select2.select2-container.select2-container--default.select2-container--below.select2-container--focus,
.select2.select2-container.select2-container--default.select2-container--below.select2-container--open
{
	width: 100% !important;
	background: #fff;
	padding: 5px 8px;
	font-size: 14px;
	border: 1px solid #ced4da;
	border-radius: 2px;
	border-color: #734df97a;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
div.form-group.error span.select2.select2-container.select2-container--default,
div.form-group.error span.select2.select2-container.select2-container--default.select2-container--below,
div.form-group.error span.select2.select2-container.select2-container--default.select2-container--below.select2-container--focus,
div.form-group.error span.select2.select2-container.select2-container--default.select2-container--below.select2-container--open
{
	border: 1px solid #f44236;
	box-shadow: 0 0 0 0.1rem rgba(220,53,69,.25);
}
.select2.select2-container.select2-container--default.select2-container--below.select2-container--open
{
	border-color: #80bdff !important;
	box-shadow: 0 0 0 0.1rem rgba(0,123,255,.25);
}
.select2-container--default .select2-selection--single
{
	background-color: #fff;
	border: 0px solid #fff;
	border-radius: 2px;
}
.select2-dropdown {
	border: 1px solid #ced4da;
	border-radius:2px;
	z-index: 9999;
}
.select2-container--default .select2-search--dropdown .select2-search__field {
	border: 1px solid #ced4da;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
	top: 7px !important;
	right: 8px !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
	border-width: 7px 6px 0 6px;
}
.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
	border-width: 0 6px 7px 6px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
	color: #495057;
	border-radius:2px;
}
.select2-container--default.select2-container--disabled .select2-selection--multiple {
	background-color: #f4f7fa;
}
.select2-container--default .select2-selection--multiple {
	border: 0px solid #fff;
	border-radius:2px;
}
.select2.select2-container.select2-container--default.select2-container--disabled
{
	background: #f4f7fa;
}
.select2-container--classic .select2-selection--single {
	border-radius:2px;
}
.select2-selection--single .select2-selection__arrow {
	 border-radius:0;
}
.select2-container--classic .select2-selection--multiple {
	border-radius:2px;
}
.select2-container--classic .select2-selection--multiple .select2-selection__choice {
	border-radius:2px;
}
/* select fix and styles*/
.checkbox input[type=checkbox] + .cr:before {
	border-radius: 2px;
	border-color: #734df97a !important;
}

/* messages block */
/* 8162 + */
.ticket .h-list-body .chat-messages {
	padding-bottom: 0px;
}
/* 8167 + */
.h-list-body .chat-messages .photo-table.reply {
	padding-right: 0px;
}
/* 8186 + */
.ticket .h-list-body .chat-messages .chat-menu-content .chat-time {
	margin: 0px 0px 5px 0px;
}
.ticket .h-list-body .chat-messages .chat-menu-reply .chat-time {
	margin: 0px 15px 5px 0px;
}
/* 8192 */
.h-list-body .chat-messages .chat-menu-reply > div p {
	margin-right: 15px;
}
/* 8200 */
.h-list-body .chat-messages .chat-menu-reply > div p:first-child {
	border-top-left-radius: 15px;
	border-top-right-radius: 15px;
}
/* 8204 */
.h-list-body .chat-messages .chat-menu-reply > div p:last-child {
	border-bottom-left-radius: 15px;
	border-bottom-right-radius: 0;
}
/* 8208 */
.h-list-body .chat-messages .chat-menu-reply > div:before {
	content: "";
}
/* 8228 */
.h-list-body .chat-messages .chat-menu-content > div p:first-child {
	border-top-left-radius: 0;
	border-top-right-radius: 15px;
}
/* 8232 */
.h-list-body .chat-messages .chat-menu-content > div p:last-child {
	border-bottom-left-radius: 15px;
	border-bottom-right-radius: 15px;
}
/* 8236 */
.h-list-body .chat-messages .chat-menu-content > div:before {
	content: "";
}
/* 8253 + */
.msg-card.ticket .msg-user-chat {
	height: 100%;
	padding-bottom: 0px;
}
.msg-card.ticket .msg-user-chat.scroll-div {
	overflow-y: auto;
	/*height: 100vh;*/
}
.msg-card.ticket .msg-user-chat.scroll-div .force-overflow {
	min-height: 450px;
}
.msg-card.ticket .msg-user-chat.scroll-div::-webkit-scrollbar
{
width: 12px;
background-color: transparent;
}

.msg-card.ticket .msg-user-chat.scroll-div::-webkit-scrollbar-track {
-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
background-color: #F5F5F5;
border-radius: 10px; }

.msg-card.ticket .msg-user-chat.scroll-div::-webkit-scrollbar-thumb
{
border-radius: 10px;
-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
background-color: #4285F4;
}

.scroll-div .scrollbar::-webkit-scrollbar {
width: 12px;
background-color: #F5F5F5; }
.scroll-div .scrollbar::-webkit-scrollbar-thumb {
border-radius: 10px;
-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
background-color: #4285F4; }

/* 8261 + */
.msg-card.ticket .msg-block > .row > div:before {
	content: "";
	width: 0px;
	height: 0%;
	background: transparent;
	top: 0;
}
.input-group-append .btn, .input-group-prepend .btn {
	position: relative;
	z-index: 0;
}
/* выбор иконки пользователя */
.icoselect .radio.radio-primary input[type=radio] + .radioimg {
	width: 66px;
	float: left;
	padding: 2px 0;
	border-width: 2px;
	border-color: transparent;
	border-style: solid;
}
.icoselect .radio.radio-primary input[type=radio]:checked + .radioimg {
	width: 66px;
	float: left;
	padding: 2px 0;
	border-width: 2px;
	border-color: #04a9f5;
	border-style: solid;
	border-radius: 3px;
	background-color: #59abe36b;
}

/* ~6247 + */
.checkbox.checkbox-primary input[type=checkbox]:disabled + .cr:before {
	background: #bdbdbd;
	border-color: #757575;
}
.checkbox.checkbox-primary input[type=checkbox]:disabled:checked + .cr:before {
	background: #04a9f5;
	border-color: #757575;
}

/* borders */

.border-top-0 {
	border-top: 0px;
}

/* rotate */
.rotate-90 {
	-webkit-transform: rotate(90deg);
			transform: rotate(90deg);
}
.rotate-270 {
	-webkit-transform: rotate(270deg);
			transform: rotate(270deg);
}

/* colors */
/*====== all colors css starts ======*/
:root,[data-bs-theme=light] {
	--bs-blue: #04a9f5;
	--bs-indigo: #6610f2;
	--bs-purple: #a389d4;
	--bs-pink: #e83e8c;
	--bs-red: #f44236;
	--bs-orange: #fd7e14;
	--bs-yellow: #f4c22b;
	--bs-green: #1de9b6;
	--bs-teal: #008080;
	--bs-cyan: #3ebfea;
	--bs-black: #000000;
	--bs-white: #ffffff;
	--bs-gray: #5b6b79;
	--bs-gray-dark: #1d2630;
	--bs-gray-100: #f8f9fa;
	--bs-gray-200: #f3f5f7;
	--bs-gray-300: #dbe0e5;
	--bs-gray-400: #bec8d0;
	--bs-gray-500: #8996a4;
	--bs-gray-600: #5b6b79;
	--bs-gray-700: #3e4853;
	--bs-gray-800: #1d2630;
	--bs-gray-900: #131920;
	--bs-primary: #04a9f5;
	--bs-secondary: #5b6b79;
	--bs-success: #1de9b6;
	--bs-info: #3ebfea;
	--bs-warning: #f4c22b;
	--bs-danger: #f44236;
	--bs-light: #f8f9fa;
	--bs-dark: #212529;
	--bs-primary-rgb: 4,169,245;
	--bs-secondary-rgb: 91,107,121;
	--bs-success-rgb: 29,233,182;
	--bs-info-rgb: 62,191,234;
	--bs-warning-rgb: 244,194,43;
	--bs-danger-rgb: 244,66,54;
	--bs-light-rgb: 248,249,250;
	--bs-dark-rgb: 33,37,41;
	--bs-primary-text-emphasis: #052c65;
	--bs-secondary-text-emphasis: #2b2f32;
	--bs-success-text-emphasis: #0a3622;
	--bs-info-text-emphasis: #055160;
	--bs-warning-text-emphasis: #664d03;
	--bs-danger-text-emphasis: #58151c;
	--bs-light-text-emphasis: #495057;
	--bs-dark-text-emphasis: #495057;
	--bs-primary-bg-subtle: #cdeefd;
	--bs-secondary-bg-subtle: #f8f9fa;
	--bs-success-bg-subtle: #d2fbf0;
	--bs-info-bg-subtle: #d8f2fb;
	--bs-warning-bg-subtle: #fdf3d5;
	--bs-danger-bg-subtle: #fdd9d7;
	--bs-light-bg-subtle: #fcfcfd;
	--bs-dark-bg-subtle: #bec8d0;
	--bs-primary-border-subtle: #9bddfb;
	--bs-secondary-border-subtle: #f3f5f7;
	--bs-success-border-subtle: #a5f6e2;
	--bs-info-border-subtle: #b2e5f7;
	--bs-warning-border-subtle: #fbe7aa;
	--bs-danger-border-subtle: #fbb3af;
	--bs-light-border-subtle: #f3f5f7;
	--bs-dark-border-subtle: #8996a4;
	--bs-white-rgb: 255,255,255;
	--bs-black-rgb: 0,0,0;
	--bs-font-sans-serif: "Open Sans",sans-serif;
	--bs-font-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
	--bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
	--bs-body-font-family: var(--bs-font-sans-serif);
	--bs-body-font-size: 0.875rem;
	--bs-body-font-weight: 400;
	--bs-body-line-height: 1.5;
	--bs-body-color: #888;
	--bs-body-color-rgb: 136,136,136;
	--bs-body-bg: #f4f7fa;
	--bs-body-bg-rgb: 244,247,250;
	--bs-emphasis-color: #000;
	--bs-emphasis-color-rgb: 0,0,0;
	--bs-secondary-color: rgba(33, 37, 41, 0.75);
	--bs-secondary-color-rgb: 33,37,41;
	--bs-secondary-bg: #e9ecef;
	--bs-secondary-bg-rgb: 233,236,239;
	--bs-tertiary-color: rgba(33, 37, 41, 0.5);
	--bs-tertiary-color-rgb: 33,37,41;
	--bs-tertiary-bg: #f8f9fa;
	--bs-tertiary-bg-rgb: 248,249,250;
	--bs-heading-color: #262626;
	--bs-link-color: #04a9f5;
	--bs-link-color-rgb: 4,169,245;
	--bs-link-decoration: none;
	--bs-link-hover-color: #0387c4;
	--bs-link-hover-color-rgb: 3,135,196;
	--bs-link-hover-decoration: underline;
	--bs-code-color: #e83e8c;
	--bs-highlight-color: #212529;
	--bs-highlight-bg: #fcf8e3;
	--bs-border-width: 1px;
	--bs-border-style: solid;
	--bs-border-color: #f1f1f1;
	--bs-border-color-translucent: rgba(0, 0, 0, 0.175);
	--bs-border-radius: 4px;
	--bs-border-radius-sm: 2px;
	--bs-border-radius-lg: 6px;
	--bs-border-radius-xl: 10px;
	--bs-border-radius-xxl: 2rem;
	--bs-border-radius-2xl: var(--bs-border-radius-xxl);
	--bs-border-radius-pill: 12rem;
	--bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
	--bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
	--bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
	--bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
	--bs-focus-ring-width: 0.25rem;
	--bs-focus-ring-opacity: 0.25;
	--bs-focus-ring-color: rgba(13, 110, 253, 0.25);
	--bs-form-valid-color: #198754;
	--bs-form-valid-border-color: #198754;
	--bs-form-invalid-color: #dc3545;
	--bs-form-invalid-border-color: #dc3545
}

.text-bg-primary {
	background-color: RGBA(var(--bs-primary-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-secondary {
	background-color: RGBA(var(--bs-secondary-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-success {
	background-color: RGBA(var(--bs-success-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-info {
	background-color: RGBA(var(--bs-info-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-warning {
	background-color: RGBA(var(--bs-warning-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-danger {
	background-color: RGBA(var(--bs-danger-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-light {
	color: #212529!important;
	background-color: RGBA(var(--bs-light-rgb),var(--bs-bg-opacity,1))!important
}

.text-bg-dark {
	color: #fff!important;
	background-color: RGBA(var(--bs-dark-rgb),var(--bs-bg-opacity,1))!important
}

.link-primary {
	color: RGBA(var(--bs-primary-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-primary-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-primary-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-primary:focus,.link-primary:hover {
	color: RGBA(3,135,196,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(3,135,196,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(3,135,196,var(--bs-link-underline-opacity,1))!important
}

.link-secondary {
	color: RGBA(var(--bs-secondary-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-secondary-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-secondary-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-secondary:focus,.link-secondary:hover {
	color: RGBA(73,86,97,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(73,86,97,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(73,86,97,var(--bs-link-underline-opacity,1))!important
}

.link-success {
	color: RGBA(var(--bs-success-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-success-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-success-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-success:focus,.link-success:hover {
	color: RGBA(23,186,146,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(23,186,146,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(23,186,146,var(--bs-link-underline-opacity,1))!important
}

.link-info {
	color: RGBA(var(--bs-info-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-info-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-info-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-info:focus,.link-info:hover {
	color: RGBA(50,153,187,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(50,153,187,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(50,153,187,var(--bs-link-underline-opacity,1))!important
}

.link-warning {
	color: RGBA(var(--bs-warning-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-warning-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-warning-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-warning:focus,.link-warning:hover {
	color: RGBA(195,155,34,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(195,155,34,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(195,155,34,var(--bs-link-underline-opacity,1))!important
}

.link-danger {
	color: RGBA(var(--bs-danger-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-danger-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-danger-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-danger:focus,.link-danger:hover {
	color: RGBA(195,53,43,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(195,53,43,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(195,53,43,var(--bs-link-underline-opacity,1))!important
}

.link-light {
	color: RGBA(var(--bs-light-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-light-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-light-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-light:focus,.link-light:hover {
	color: RGBA(249,250,251,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(249,250,251,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(249,250,251,var(--bs-link-underline-opacity,1))!important
}

.link-dark {
	color: RGBA(var(--bs-dark-rgb),var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(var(--bs-dark-rgb),var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(var(--bs-dark-rgb),var(--bs-link-underline-opacity,1))!important
}

.link-dark:focus,.link-dark:hover {
	color: RGBA(26,30,33,var(--bs-link-opacity,1))!important;
	-webkit-text-decoration-color: RGBA(26,30,33,var(--bs-link-underline-opacity,1))!important;
	text-decoration-color: RGBA(26,30,33,var(--bs-link-underline-opacity,1))!important
}
/* LIGHT RED */
.bg-lightred,
.bg-c-lightred {
	background: #FFCDD2;
}
.text-lightred,
.text-c-lightred {
	color: #FFCDD2;
}
.card-border-c-lightred {
	border-top: 4px solid #FFCDD2;
}
a.bg-lightred:hover, a.bg-lightred:focus,
button.bg-lightred:hover,
button.bg-lightred:focus {
	background-color: #FFCDD2;
}
/* RED */#FFCDD2
.bg-red,
.bg-c-red {
	background: #f44236;
}
.text-red,
.text-c-red {
	color: #f44236;
}
.card-border-c-red {
	border-top: 4px solid #f44236;
}
a.bg-red:hover, a.bg-red:focus,
button.bg-red:hover,
button.bg-red:focus {
	background-color: #a11918;
}

/* LIGHT PINK */
.bg-lightpink,
.bg-c-lightpink {
	background-color: #F8BBD0;
}
.text-lightpink,
.text-c-lightpink {
	color: #F8BBD0;
}
a.bg-lightpink:hover, a.bg-lightpink:focus,
button.bg-lightpink:hover,
button.bg-lightpink:focus {
	background-color: #F8BBD0;
}
/* PINK */
.bg-pink,
.bg-c-pink {
	background-color: #f66d9b;
}
.text-pink,
.text-c-pink {
	color: #f66d9b;
}
a.bg-pink:hover, a.bg-pink:focus,
button.bg-pink:hover,
button.bg-pink:focus {
	background-color: #f33d7a;
}

/* LIGHT ORANGE */
.text-lightorange,
.text-c-lightorange {
	color: #FFE0B2;
}
.bg-lightorange,
.bg-c-lightorange {
	background-color: #FFE0B2;
}
a.bg-lightorange:hover, a.bg-lightorange:focus,
button.bg-lightorange:hover,
button.bg-lightorange:focus {
	background-color: #FFE0B2;
}
/* ORANGE */
.text-orange,
.text-c-orange {
	color: #fd9644;
}
.bg-orange,
.bg-c-orange {
	background-color: #fd9644;
}
a.bg-orange:hover, a.bg-orange:focus,
button.bg-orange:hover,
button.bg-orange:focus {
	background-color: #fc7a12;
}

/* LIGHT YELLOW */
.bg-lightyellow,
.bg-c-lightyellow {
	background: #FFF9C4;
}
.text-lightyellow,
.text-c-lightyellow {
	color: #FFF9C4;
}
.card-border-c-lightyellow {
	border-top: 4px solid #FFF9C4;
}
a.bg-lightyellow:hover, a.bg-lightyellow:focus,
button.bg-lightyellow:hover,
button.bg-lightyellow:focus {
	background-color: #FFF9C4;
}
/* YELLOW */
.bg-yellow,
.bg-c-yellow {
	background: #f4c22b;
}
.text-yellow,
.text-c-yellow {
	color: #f4c22b;
}
.card-border-c-yellow {
	border-top: 4px solid #f4c22b;
}
a.bg-yellow:hover, a.bg-yellow:focus,
button.bg-yellow:hover,
button.bg-yellow:focus {
	background-color: #c29d0b;
}

/* LIGHT LIME */
.bg-lightlime,
.bg-c-lightlime {
	background-color: #F0F4C3;
}
.text-lightlime,
.text-c-lightlime {
	color: #F0F4C3;
}
a.bg-lightlime:hover, a.bg-lightlime:focus,
button.bg-lightlime:hover,
button.bg-lightlime:focus {
	background-color: #F0F4C3;
}
/* LIME */
.bg-lime,
.bg-c-lime {
	background-color: #7bd235;
}
.text-lime,
.text-c-lime {
	color: #7bd235;
}
a.bg-lime:hover, a.bg-lime:focus,
button.bg-lime:hover,
button.bg-lime:focus {
	background-color: #63ad27;
}

/* LIGHT GREEN */
.bg-lightgreen,
.bg-c-lightgreen {
	background-color: #C8E6C9;
}
.text-lightgreen,
.text-c-lightgreen {
	color: #C8E6C9;
}
.card-border-c-lightgreen {
	border-top: 4px solid #C8E6C9;
}
a.bg-lightgreen:hover, a.bg-lightgreen:focus,
button.bg-lightgreen:hover,
button.bg-lightgreen:focus {
	background-color: #C8E6C9;
}
/* GREEN */
.bg-green,
.bg-c-green {
	background-color: #5eba00;
}
.text-green,
.text-c-green {
	color: #5eba00;
}
.card-border-c-green {
	border-top: 4px solid #5eba00;
}
a.bg-green:hover, a.bg-green:focus,
button.bg-green:hover,
button.bg-green:focus {
	background-color: #448700;
}

/* LIGHT TEAL */
.bg-lightteal,
.bg-c-lightteal {
	background-color: #B2DFDB;
}
.text-lightteal,
.text-c-lightteal {
	color: #B2DFDB;
}
a.bg-lightteal:hover, a.bg-lightteal:focus,
button.bg-lightteal:hover,
button.bg-lightteal:focus {
	background-color: #B2DFDB;
}
/* TEAL */
.bg-teal,
.bg-c-teal {
	background-color: #2bcbba;
}
.text-teal,
.text-c-teal {
	color: #2bcbba;
}
a.bg-teal:hover, a.bg-teal:focus,
button.bg-teal:hover,
button.bg-teal:focus {
	background-color: #22a193;
}

/* LIGHT CYAN */
.bg-lightcyan,
.bg-c-lightcyan {
	background-color: #B2EBF2;
}
.text-lightcyan,
.text-c-lightcyan {
	color: #B2EBF2;
}
a.bg-lightcyan:hover, a.bg-lightcyan:focus,
button.bg-lightcyan:hover,
button.bg-lightcyan:focus {
	background-color: #B2EBF2;
}
/* CYAN */
.bg-cyan,
.bg-c-cyan {
	background-color: #17a2b8;
}
.text-cyan,
.text-c-cyan {
	color: #17a2b8;
}
a.bg-cyan:hover, a.bg-cyan:focus,
button.bg-cyan:hover,
button.bg-cyan:focus {
	background-color: #117a8b;
}

/* AZURE */
.bg-azure,
.bg-c-azure {
	background-color: #45aaf2;
}
.text-azure,
.text-c-azure {
	color: #45aaf2;
}
a.bg-azure:hover, a.bg-azure:focus,
button.bg-azure:hover,
button.bg-azure:focus {
	background-color: #1594ef !important;
}

/* BLACK */
.bg-black,
.bg-c-black {
	background: #000;
}
.text-black,
.text-c-black {
	color: #000;
}
.card-border-c-black {
	border-top: 4px solid #000;
}
a.bg-blue:hover, a.bg-blue:focus,
button.bg-blue:hover,
button.bg-blue:focus {
	background-color: #000;
}

/* LIGHT BLUE */
.bg-lightblue,
.bg-c-lightblue {
	background: #a3eeff;
}
.text-lightblue,
.text-c-lightblue {
	color: #a3eeff;
}
.card-border-c-lightblue {
	border-top: 4px solid #a3eeff;
}
a.bg-lightblue:hover, a.bg-lightblue:focus,
button.bg-blue:hover,
button.bg-blue:focus {
	background-color: #a3eeff;
}
/* BLUE */
.bg-blue,
.bg-c-blue {
	background: #04a9f5;
}
.text-blue,
.text-c-blue {
	color: #04a9f5;
}
.card-border-c-blue {
	border-top: 4px solid #04a9f5;
}
a.bg-blue:hover, a.bg-blue:focus,
button.bg-blue:hover,
button.bg-blue:focus {
	background-color: #2f66b3;
}

/* LIGHT INDIGO */
.bg-lightindigo.
.bg-c-lightindigo {
	background-color: #C5CAE9;
}
.text-lightindigo,
.text-c-lightindigo {
	color: #C5CAE9;
}
a.bg-lightindigo:hover, a.bg-lightindigo:focus,
button.bg-lightindigo:hover,
button.bg-lightindigo:focus {
	background-color: #C5CAE9;
}
/* INDIGO */
.bg-indigo.
.bg-c-indigo {
	background-color: #6574cd;
}
.text-indigo,
.text-c-indigo {
	color: #6574cd;
}
a.bg-indigo:hover, a.bg-indigo:focus,
button.bg-indigo:hover,
button.bg-indigo:focus {
	background-color: #3f51c1;
}

/* PURPLE */
.bg-purple,
.bg-c-purple {
	background: #a389d4;
}
.text-purple,
.text-c-purple {
	color: #a389d4;
}
.card-border-c-purple {
	border-top: 4px solid #a389d4;
}
a.bg-purple:hover, a.bg-purple:focus,
button.bg-purple:hover,
button.bg-purple:focus {
	background-color: #8c31e4;
}
/* WHITE */
.bg-white,
.bg-c-white {
	background-color: #fff;
}
.text-white,
.text-c-white {
	color: #fff;
}
a.bg-white:hover, a.bg-white:focus,
button.bg-white:hover,
button.bg-white:focus {
	background-color: #e6e5e5;
}

/* LIGHT GRAY */
.text-lightgray,
.text-c-lightgray {
	color: #F5F5F5;
}
.bg-lightgray,
.bg-c-lightgray {
	background-color: #F5F5F5;
}
a.bg-lightgray:hover, a.bg-lightgray:focus,
button.bg-lightgray:hover,
button.bg-lightgray:focus {
	background-color: #F5F5F5 !important;
}
/* GRAY */
.text-gray,
.text-c-gray {
	color: #868e96;
}
.bg-gray,
.bg-c-gray {
	background-color: #868e96;
}
a.bg-gray:hover, a.bg-gray:focus,
button.bg-gray:hover,
button.bg-gray:focus {
	background-color: #6c757d !important;
}
/* DARKGRAY */
.bg-gray-dark,
.bg-c-gray-dark {
	background-color: #343a40;
}
.text-gray-dark,
.text-c-gray-dark {
	color: #343a40;
}
a.bg-gray-dark:hover, a.bg-gray-dark:focus,
button.bg-gray-dark:hover,
button.bg-gray-dark:focus {
	background-color: #1d2124 !important;
}

/*====== all colors css ends ======*/

/* colors + */

.theme-bg3 {
	background: linear-gradient(-135deg, #1de9b6 0%, #1dc4e9 100%);
}

/* colors */

/* width + */
.w-15 {
	width: 15px !important;
}

.w-20 {
	width: 20px !important;
}

.w-25 {
	width: 25px !important;
}

/* ratings + */
.rating{
	font: 14px/1 FontAwesome;
	font-size: 0;
}
.rating-wrap{
	display: inline-block;
	font-size: 1rem;
}
.rating-wrap:after{
	content: "";
	display: table;
	clear: both;
}
.rating-wrap label
{
	float: right;
	padding-left: 2px;
	cursor: pointer;
	color: lightgray;
}
.rating-wrap label:last-child
{
	padding-left: 0;
}
.rating-wrap input
{
	display: none;
}

/* red */
.rating-wrap.red label:hover:before,
.rating-wrap.red label:hover ~ label:before,
.rating-wrap.red input:checked ~ label:before
{
	color: #F44336;
}

/* green */
.rating-wrap.green label:hover:before,
.rating-wrap.green label:hover ~ label:before,
.rating-wrap.green input:checked ~ label:before
{
	color: #4CAF50;
}

/* blue */
.rating-wrap.blue label:hover:before,
.rating-wrap.blue label:hover ~ label:before,
.rating-wrap.blue input:checked ~ label:before
{
	color: #2196F3;
}

/* gold */
.rating-wrap.gold label:hover:before,
.rating-wrap.gold label:hover ~ label:before,
.rating-wrap.gold input:checked ~ label:before
{
	color: #FFB300;
}

.jstree-default .jstree-disabled {
	background: #F44336 !important;
	color: black;
}

@media (min-width: 2400px) {
	.container {
		max-width:2380px
	}

	.col-xxl {
		-ms-flex-preferred-size:0;
		flex-basis: 0;
		-ms-flex-positive: 1;
		flex-grow: 1;
		max-width: 100%
	}

	.col-xxl-auto {
		-ms-flex: 0 0 auto;
		flex: 0 0 auto;
		width: auto;
		max-width: none
	}

	.col-xxl-1 {
		-ms-flex: 0 0 8.333333%;
		flex: 0 0 8.333333%;
		max-width: 8.333333%
	}

	.col-xxl-2 {
		-ms-flex: 0 0 16.666667%;
		flex: 0 0 16.666667%;
		max-width: 16.666667%
	}

	.col-xxl-3 {
		-ms-flex: 0 0 25%;
		flex: 0 0 25%;
		max-width: 25%
	}

	.col-xxl-4 {
		-ms-flex: 0 0 33.333333%;
		flex: 0 0 33.333333%;
		max-width: 33.333333%
	}

	.col-xxl-5 {
		-ms-flex: 0 0 41.666667%;
		flex: 0 0 41.666667%;
		max-width: 41.666667%
	}

	.col-xxl-6 {
		-ms-flex: 0 0 50%;
		flex: 0 0 50%;
		max-width: 50%
	}

	.col-xxl-7 {
		-ms-flex: 0 0 58.333333%;
		flex: 0 0 58.333333%;
		max-width: 58.333333%
	}

	.col-xxl-8 {
		-ms-flex: 0 0 66.666667%;
		flex: 0 0 66.666667%;
		max-width: 66.666667%
	}

	.col-xxl-9 {
		-ms-flex: 0 0 75%;
		flex: 0 0 75%;
		max-width: 75%
	}

	.col-xxl-10 {
		-ms-flex: 0 0 83.333333%;
		flex: 0 0 83.333333%;
		max-width: 83.333333%
	}

	.col-xxl-11 {
		-ms-flex: 0 0 91.666667%;
		flex: 0 0 91.666667%;
		max-width: 91.666667%
	}

	.col-xxl-12 {
		-ms-flex: 0 0 100%;
		flex: 0 0 100%;
		max-width: 100%
	}

	.order-xxl-first {
		-ms-flex-order: -1;
		order: -1
	}

	.order-xxl-last {
		-ms-flex-order: 13;
		order: 13
	}

	.order-xxl-0 {
		-ms-flex-order: 0;
		order: 0
	}

	.order-xxl-1 {
		-ms-flex-order: 1;
		order: 1
	}

	.order-xxl-2 {
		-ms-flex-order: 2;
		order: 2
	}

	.order-xxl-3 {
		-ms-flex-order: 3;
		order: 3
	}

	.order-xxl-4 {
		-ms-flex-order: 4;
		order: 4
	}

	.order-xxl-5 {
		-ms-flex-order: 5;
		order: 5
	}

	.order-xxl-6 {
		-ms-flex-order: 6;
		order: 6
	}

	.order-xxl-7 {
		-ms-flex-order: 7;
		order: 7
	}

	.order-xxl-8 {
		-ms-flex-order: 8;
		order: 8
	}

	.order-xxl-9 {
		-ms-flex-order: 9;
		order: 9
	}

	.order-xxl-10 {
		-ms-flex-order: 10;
		order: 10
	}

	.order-xxl-11 {
		-ms-flex-order: 11;
		order: 11
	}

	.order-xxl-12 {
		-ms-flex-order: 12;
		order: 12
	}

	.offset-xxl-0 {
		margin-left: 0
	}

	.offset-xxl-1 {
		margin-left: 8.333333%
	}

	.offset-xxl-2 {
		margin-left: 16.666667%
	}

	.offset-xxl-3 {
		margin-left: 25%
	}

	.offset-xxl-4 {
		margin-left: 33.333333%
	}

	.offset-xxl-5 {
		margin-left: 41.666667%
	}

	.offset-xxl-6 {
		margin-left: 50%
	}

	.offset-xxl-7 {
		margin-left: 58.333333%
	}

	.offset-xxl-8 {
		margin-left: 66.666667%
	}

	.offset-xxl-9 {
		margin-left: 75%
	}

	.offset-xxl-10 {
		margin-left: 83.333333%
	}

	.offset-xxl-11 {
		margin-left: 91.666667%
	}

	.navbar-expand-xxl {
		-ms-flex-flow:row nowrap;
		flex-flow: row nowrap;
		-ms-flex-pack: start;
		justify-content: flex-start
	}

	.navbar-expand-xxl .navbar-nav {
		-ms-flex-direction: row;
		flex-direction: row
	}

	.navbar-expand-xxl .navbar-nav .dropdown-menu {
		position: absolute
	}

	.navbar-expand-xxl .navbar-nav .nav-link {
		padding-right: .5rem;
		padding-left: .5rem
	}

	.navbar-expand-xxl>.container,.navbar-expand-xxl>.container-fluid {
		-ms-flex-wrap: nowrap;
		flex-wrap: nowrap
	}

	.navbar-expand-xxl .navbar-collapse {
		display: -ms-flexbox!important;
		display: flex!important;
		-ms-flex-preferred-size: auto;
		flex-basis: auto
	}

	.navbar-expand-xxl .navbar-toggler {
		display: none
	}

	.d-xxl-none {
		display:none!important
	}

	.d-xxl-inline {
		display: inline!important
	}

	.d-xxl-inline-block {
		display: inline-block!important
	}

	.d-xxl-block {
		display: block!important
	}

	.d-xxl-table {
		display: table!important
	}

	.d-xxl-table-row {
		display: table-row!important
	}

	.d-xxl-table-cell {
		display: table-cell!important
	}

	.d-xxl-flex {
		display: -ms-flexbox!important;
		display: flex!important
	}

	.d-xxl-inline-flex {
		display: -ms-inline-flexbox!important;
		display: inline-flex!important
	}

	.flex-xxl-row {
		-ms-flex-direction:row!important;
		flex-direction: row!important
	}

	.flex-xxl-column {
		-ms-flex-direction: column!important;
		flex-direction: column!important
	}

	.flex-xxl-row-reverse {
		-ms-flex-direction: row-reverse!important;
		flex-direction: row-reverse!important
	}

	.flex-xxl-column-reverse {
		-ms-flex-direction: column-reverse!important;
		flex-direction: column-reverse!important
	}

	.flex-xxl-wrap {
		-ms-flex-wrap: wrap!important;
		flex-wrap: wrap!important
	}

	.flex-xxl-nowrap {
		-ms-flex-wrap: nowrap!important;
		flex-wrap: nowrap!important
	}

	.flex-xxl-wrap-reverse {
		-ms-flex-wrap: wrap-reverse!important;
		flex-wrap: wrap-reverse!important
	}

	.flex-xxl-fill {
		-ms-flex: 1 1 auto!important;
		flex: 1 1 auto!important
	}

	.flex-xxl-grow-0 {
		-ms-flex-positive: 0!important;
		flex-grow: 0!important
	}

	.flex-xxl-grow-1 {
		-ms-flex-positive: 1!important;
		flex-grow: 1!important
	}

	.flex-xxl-shrink-0 {
		-ms-flex-negative: 0!important;
		flex-shrink: 0!important
	}

	.flex-xxl-shrink-1 {
		-ms-flex-negative: 1!important;
		flex-shrink: 1!important
	}

	.justify-content-xxl-start {
		-ms-flex-pack: start!important;
		justify-content: flex-start!important
	}

	.justify-content-xxl-end {
		-ms-flex-pack: end!important;
		justify-content: flex-end!important
	}

	.justify-content-xxl-center {
		-ms-flex-pack: center!important;
		justify-content: center!important
	}

	.justify-content-xxl-between {
		-ms-flex-pack: justify!important;
		justify-content: space-between!important
	}

	.justify-content-xxl-around {
		-ms-flex-pack: distribute!important;
		justify-content: space-around!important
	}

	.align-items-xxl-start {
		-ms-flex-align: start!important;
		align-items: flex-start!important
	}

	.align-items-xxl-end {
		-ms-flex-align: end!important;
		align-items: flex-end!important
	}

	.align-items-xxl-center {
		-ms-flex-align: center!important;
		align-items: center!important
	}

	.align-items-xxl-baseline {
		-ms-flex-align: baseline!important;
		align-items: baseline!important
	}

	.align-items-xxl-stretch {
		-ms-flex-align: stretch!important;
		align-items: stretch!important
	}

	.align-content-xxl-start {
		-ms-flex-line-pack: start!important;
		align-content: flex-start!important
	}

	.align-content-xxl-end {
		-ms-flex-line-pack: end!important;
		align-content: flex-end!important
	}

	.align-content-xxl-center {
		-ms-flex-line-pack: center!important;
		align-content: center!important
	}

	.align-content-xxl-between {
		-ms-flex-line-pack: justify!important;
		align-content: space-between!important
	}

	.align-content-xxl-around {
		-ms-flex-line-pack: distribute!important;
		align-content: space-around!important
	}

	.align-content-xxl-stretch {
		-ms-flex-line-pack: stretch!important;
		align-content: stretch!important
	}

	.align-self-xxl-auto {
		-ms-flex-item-align: auto!important;
		align-self: auto!important
	}

	.align-self-xxl-start {
		-ms-flex-item-align: start!important;
		align-self: flex-start!important
	}

	.align-self-xxl-end {
		-ms-flex-item-align: end!important;
		align-self: flex-end!important
	}

	.align-self-xxl-center {
		-ms-flex-item-align: center!important;
		align-self: center!important
	}

	.align-self-xxl-baseline {
		-ms-flex-item-align: baseline!important;
		align-self: baseline!important
	}

	.align-self-xxl-stretch {
		-ms-flex-item-align: stretch!important;
		align-self: stretch!important
	}

	.float-xxl-left {
		float: left!important
	}

	.float-xxl-right {
		float: right!important
	}

	.float-xxl-none {
		float: none!important
	}

	.m-xxl-0 {
		margin: 0!important
	}

	.mt-xxl-0,.my-xxl-0 {
		margin-top: 0!important
	}

	.mr-xxl-0,.mx-xxl-0 {
		margin-right: 0!important
	}

	.mb-xxl-0,.my-xxl-0 {
		margin-bottom: 0!important
	}

	.ml-xxl-0,.mx-xxl-0 {
		margin-left: 0!important
	}

	.m-xxl-1 {
		margin: .25rem!important
	}

	.mt-xxl-1,.my-xxl-1 {
		margin-top: .25rem!important
	}

	.mr-xxl-1,.mx-xxl-1 {
		margin-right: .25rem!important
	}

	.mb-xxl-1,.my-xxl-1 {
		margin-bottom: .25rem!important
	}

	.ml-xxl-1,.mx-xxl-1 {
		margin-left: .25rem!important
	}

	.m-xxl-2 {
		margin: .5rem!important
	}

	.mt-xxl-2,.my-xxl-2 {
		margin-top: .5rem!important
	}

	.mr-xxl-2,.mx-xxl-2 {
		margin-right: .5rem!important
	}

	.mb-xxl-2,.my-xxl-2 {
		margin-bottom: .5rem!important
	}

	.ml-xxl-2,.mx-xxl-2 {
		margin-left: .5rem!important
	}

	.m-xxl-3 {
		margin: 1rem!important
	}

	.mt-xxl-3,.my-xxl-3 {
		margin-top: 1rem!important
	}

	.mr-xxl-3,.mx-xxl-3 {
		margin-right: 1rem!important
	}

	.mb-xxl-3,.my-xxl-3 {
		margin-bottom: 1rem!important
	}

	.ml-xxl-3,.mx-xxl-3 {
		margin-left: 1rem!important
	}

	.m-xxl-4 {
		margin: 1.5rem!important
	}

	.mt-xxl-4,.my-xxl-4 {
		margin-top: 1.5rem!important
	}

	.mr-xxl-4,.mx-xxl-4 {
		margin-right: 1.5rem!important
	}

	.mb-xxl-4,.my-xxl-4 {
		margin-bottom: 1.5rem!important
	}

	.ml-xxl-4,.mx-xxl-4 {
		margin-left: 1.5rem!important
	}

	.m-xxl-5 {
		margin: 3rem!important
	}

	.mt-xxl-5,.my-xxl-5 {
		margin-top: 3rem!important
	}

	.mr-xxl-5,.mx-xxl-5 {
		margin-right: 3rem!important
	}

	.mb-xxl-5,.my-xxl-5 {
		margin-bottom: 3rem!important
	}

	.ml-xxl-5,.mx-xxl-5 {
		margin-left: 3rem!important
	}

	.p-xxl-0 {
		padding: 0!important
	}

	.pt-xxl-0,.py-xxl-0 {
		padding-top: 0!important
	}

	.pr-xxl-0,.px-xxl-0 {
		padding-right: 0!important
	}

	.pb-xxl-0,.py-xxl-0 {
		padding-bottom: 0!important
	}

	.pl-xxl-0,.px-xxl-0 {
		padding-left: 0!important
	}

	.p-xxl-1 {
		padding: .25rem!important
	}

	.pt-xxl-1,.py-xxl-1 {
		padding-top: .25rem!important
	}

	.pr-xxl-1,.px-xxl-1 {
		padding-right: .25rem!important
	}

	.pb-xxl-1,.py-xxl-1 {
		padding-bottom: .25rem!important
	}

	.pl-xxl-1,.px-xxl-1 {
		padding-left: .25rem!important
	}

	.p-xxl-2 {
		padding: .5rem!important
	}

	.pt-xxl-2,.py-xxl-2 {
		padding-top: .5rem!important
	}

	.pr-xxl-2,.px-xxl-2 {
		padding-right: .5rem!important
	}

	.pb-xxl-2,.py-xxl-2 {
		padding-bottom: .5rem!important
	}

	.pl-xxl-2,.px-xxl-2 {
		padding-left: .5rem!important
	}

	.p-xxl-3 {
		padding: 1rem!important
	}

	.pt-xxl-3,.py-xxl-3 {
		padding-top: 1rem!important
	}

	.pr-xxl-3,.px-xxl-3 {
		padding-right: 1rem!important
	}

	.pb-xxl-3,.py-xxl-3 {
		padding-bottom: 1rem!important
	}

	.pl-xxl-3,.px-xxl-3 {
		padding-left: 1rem!important
	}

	.p-xxl-4 {
		padding: 1.5rem!important
	}

	.pt-xxl-4,.py-xxl-4 {
		padding-top: 1.5rem!important
	}

	.pr-xxl-4,.px-xxl-4 {
		padding-right: 1.5rem!important
	}

	.pb-xxl-4,.py-xxl-4 {
		padding-bottom: 1.5rem!important
	}

	.pl-xxl-4,.px-xxl-4 {
		padding-left: 1.5rem!important
	}

	.p-xxl-5 {
		padding: 3rem!important
	}

	.pt-xxl-5,.py-xxl-5 {
		padding-top: 3rem!important
	}

	.pr-xxl-5,.px-xxl-5 {
		padding-right: 3rem!important
	}

	.pb-xxl-5,.py-xxl-5 {
		padding-bottom: 3rem!important
	}

	.pl-xxl-5,.px-xxl-5 {
		padding-left: 3rem!important
	}

	.m-xxl-auto {
		margin: auto!important
	}

	.mt-xxl-auto,.my-xxl-auto {
		margin-top: auto!important
	}

	.mr-xxl-auto,.mx-xxl-auto {
		margin-right: auto!important
	}

	.mb-xxl-auto,.my-xxl-auto {
		margin-bottom: auto!important
	}

	.ml-xxl-auto,.mx-xxl-auto {
		margin-left: auto!important
	}

	.text-xxl-left {
		text-align: left!important
	}

	.text-xxl-right {
		text-align: right!important
	}

	.text-xxl-center {
		text-align: center!important
	}
}